<app-loading *ngIf="isLoading"></app-loading>
<div style="margin-bottom: 1rem">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <employee-data-picker [mbCanText]="true" mbLabelText="{{'goaManagement.approveListEmpAllocated.label.empCode' | translate}}"
                            [ngModelOptions]="{standalone: true}" [multiple]="true" [functionCode]="functionCode"
                            (selectedChange)="onChange($event)" [status]="'ACTIVE'" ngModel="">
      </employee-data-picker>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-input-text mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbDisable]='true'
                     [(ngModel)]="infoEmp.fullName"
                     mbLabelText="{{ 'goaManagement.common.fullName' | translate }}">
      </mb-input-text>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <div style="margin-top: 2rem">
        <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE"
                   mbButtonText="{{'common.button.add' | translate}}" mbButtonAvailableStyle="PRIMARY"
                   (click)="create()"></mb-button>
      </div>
    </div>
  </div>
</div>
  <div class='search__content--group'>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]="false">
    <mb-table
      (changePageNum)='changePage($event)'
      [heightTable]="heightTable"
      [tableConfig]='tableConfig' [tableData]='listData'></mb-table>
  </mb-table-wrap>
</div>
<ng-template #actionTmpl let-aleId="aleId">
  <div class="d-flex action" style="justify-content: center">
    <mb-button (click)="showDeleteConfirm(aleId, $event)" mbButtonAvailableStyle='CONTENT'>
      <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'></mb-button>
  </div>
</ng-template>
